org.apache.poi.ss.usermodel

## Class DataValidationConstraint.ValidationType

- java.lang.Object
- - org.apache.poi.ss.usermodel.DataValidationConstraint.ValidationType

- Enclosing interface:
    DataValidationConstraint

      public static final class DataValidationConstraint.ValidationType
      extends java.lang.Object

  ValidationType enum

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANY` 'Any value' type - value not restricted
    `static int` | `DATE` Date type
    `static int` | `DECIMAL` Decimal type
    `static int` | `FORMULA` Formula ( 'Custom' ) type
    `static int` | `INTEGER` Integer ('Whole number') type
    `static int` | `LIST` List type ( combo box type )
    `static int` | `TEXT_LENGTH` String length type
    `static int` | `TIME` Time type

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANY

          public static final int ANY

      'Any value' type - value not restricted
      See Also:
        Constant Field Values

    - #### INTEGER

          public static final int INTEGER

      Integer ('Whole number') type
      See Also:
        Constant Field Values

    - #### DECIMAL

          public static final int DECIMAL

      Decimal type
      See Also:
        Constant Field Values

    - #### LIST

          public static final int LIST

      List type ( combo box type )
      See Also:
        Constant Field Values

    - #### DATE

          public static final int DATE

      Date type
      See Also:
        Constant Field Values

    - #### TIME

          public static final int TIME

      Time type
      See Also:
        Constant Field Values

    - #### TEXT_LENGTH

          public static final int TEXT_LENGTH

      String length type
      See Also:
        Constant Field Values

    - #### FORMULA

          public static final int FORMULA

      Formula ( 'Custom' ) type
      See Also:
        Constant Field Values

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.